<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="utf-8" />
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<title>ActiveReportsJS Report Viewer Setting Parameters Values Sample</title>
<meta name="viewport" content="width=device-width, initial-scale=1.0" />
<link
rel="stylesheet"
href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css"
integrity="sha384-JcKb8q3iqJ61gNV9KGb8thSsNjpSL0n8PARn9HuZOnIxN0hoP+VmmDGMN5t9UJ0Z"
crossorigin="anonymous"
/>
<link
rel="stylesheet"
href="https://cdn.materialdesignicons.com/2.8.94/css/materialdesignicons.min.css"
/>
<script src="https://cdn.mescius.com/activereportsjs/6.latest/dist/ar-js-core.js"></script>
<script src="https://cdn.mescius.com/activereportsjs/6.latest/dist/ar-js-viewer.js"></script>
<script src="https://cdn.mescius.com/activereportsjs/6.latest/dist/ar-js-pdf.js"></script>
<script src="https://cdn.mescius.com/activereportsjs/6.latest/dist/ar-js-xlsx.js"></script>
<script src="https://cdn.mescius.com/activereportsjs/6.latest/dist/ar-js-xlsxAdv.js"></script>
<script src="https://cdn.mescius.com/activereportsjs/6.latest/dist/ar-js-tabular-data.js"></script>
<script src="https://cdn.mescius.com/activereportsjs/6.latest/dist/ar-js-html.js"></script>
<script src="https://cdn.mescius.com/activereportsjs/6.latest-localization/dist/ar-js-locales.js"></script>
<script src="$DEMOROOT$/lib/purejs/license.js"></script>
<link
rel="stylesheet"
type="text/css"
href="https://cdn.mescius.com/activereportsjs/6.latest/styles/ar-js-ui.css"
/>
<link
rel="stylesheet"
type="text/css"
href="https://cdn.mescius.com/activereportsjs/6.latest/styles/ar-js-viewer.css"
/>
<style>
#viewer-host {
margin: 0 auto;
width: 100%;
height: 500px;
}
</style>
</head>
<body>
<div class="container-fluid">
<div class="form-group mb-3 mt-3">
<div>
<label>Select Product Categories</label>
</div>
<div class="form-check form-check-inline">
<input class="form-check-input" type="checkbox" id="category-1" checked />
<label class="form-check-label" for="category-1">Beverages</label>
</div>
<div class="form-check form-check-inline">
<input class="form-check-input" type="checkbox" id="category-2" />
<label class="form-check-label" for="category-2">Condiments</label>
</div>
<div class="form-check form-check-inline">
<input class="form-check-input" type="checkbox" id="category-3" />
<label class="form-check-label" for="category-3">Confections</label>
</div>
<div class="form-check form-check-inline">
<input class="form-check-input" type="checkbox" id="category-4" />
<label class="form-check-label" for="category-4">Dairy Products</label>
</div>
<div class="form-check form-check-inline">
<input class="form-check-input" type="checkbox" id="category-5" />
<label class="form-check-label" for="category-5">Grains/Cereals</label>
</div>
<div class="form-check form-check-inline">
<input class="form-check-input" type="checkbox" id="category-6" />
<label class="form-check-label" for="category-6">Meat/Poultry</label>
</div>
<div class="form-check form-check-inline">
<input class="form-check-input" type="checkbox" id="category-7" />
<label class="form-check-label" for="category-7">Produce</label>
</div>
<div class="form-check form-check-inline">
<input class="form-check-input" type="checkbox" id="category-8" />
<label class="form-check-label" for="category-8">Seafood</label>
</div>
<div class="mt-1">
<button type="button" class="btn btn-outline-primary" onclick="setCategories()" id="btnPreview">Preview Report</button>
</div>
</div>
</div>
</div>
<div id="viewer-host"></div>
<script>
const viewer = new MESCIUS.ActiveReportsJS.ReportViewer.Viewer("#viewer-host");
viewer.theme="ActiveReports";
viewer.documentLoaded.register(function(){
document.getElementById("btnPreview").removeAttribute("disabled");
});
viewer.reportLoaded.register(function(){
document.getElementById("btnPreview").setAttribute("disabled", true);
});
const categoryIds = [1, 2, 3, 4, 5, 6, 7, 8];
const availableCategories = [];
function setCategories() {
availableCategories.length = 0;
categoryIds.forEach(function (categoryId) {
const checkBox = document.getElementById("category-" + categoryId);
if (checkBox && checkBox.checked) {
availableCategories.push(categoryId);
}
});
viewer.open("reports/multi-value-param.rdlx-json", {
ReportParams: [
{
Name: "CategoryId",
Value: availableCategories,
},
],
});
}
MESCIUS.ActiveReportsJS.Core.FontStore.registerFonts(
"/activereportsjs/demos/resource/fontsConfig.json"
);
setCategories();
</script>
</body>
</html>

import React, { Fragment } from "react";
import ReactDOM from "react-dom";
import { Viewer } from "@mescius/activereportsjs-react";
import "@mescius/activereportsjs/pdfexport";
import "@mescius/activereportsjs/htmlexport";
import "@mescius/activereportsjs/tabulardataexport";
import "@mescius/activereportsjs/xlsxexport";
import "@mescius/activereportsjs/xlsxadvexport";
import "@mescius/activereportsjs-i18n";
import { FontStore } from "@mescius/activereportsjs/core";
const initCategories = [
{
categoryId: 1,
categoryName: "Beverages",
checked: true,
},
{
categoryId: 2,
categoryName: "Condiments",
checked: false,
},
{
categoryId: 3,
categoryName: "Confections",
checked: false,
},
{
categoryId: 4,
categoryName: "Dairy Products",
checked: false,
},
{
categoryId: 5,
categoryName: "Grains/Cereals",
checked: false,
},
{
categoryId: 6,
categoryName: "Meat/Poultry",
checked: false,
},
{
categoryId: 7,
categoryName: "Produce",
checked: false,
},
{
categoryId: 8,
categoryName: "Seafood",
checked: false,
},
];
function App() {
const [categories, setCategories] = React.useState(initCategories);
const [previewDisabled, setPreviewDisabled] = React.useState(false);
const viewerRef = React.useRef(null);
function onPreview(){
const categoryIds = categories.filter(cat=>cat.checked).map(cat=>cat.categoryId);
viewerRef.current.Viewer.open("reports/multi-value-param.rdlx-json", {
ReportParams: [
{
Name: "CategoryId",
Value: categoryIds,
},
],
})
}
React.useEffect(()=>{
onPreview();
}, [])
function onCheckedChange(categoryId) {
setCategories((val) =>
val.map((cat) => {
if (cat.categoryId === categoryId)
return { ...cat, checked: !cat.checked };
return { ...cat };
})
);
}
return (
<Fragment>
<div class="container-fluid">
<div class="form-group mb-3 mt-3">
<div>
<label>Select Product Categories</label>
</div>
{categories.map((cat) => (
<div className="form-check form-check-inline" key={"category" + cat.categoryId}>
<input
id={"category" + cat.categoryId}
className="form-check-input"
type="checkbox"
checked={cat.checked}
onChange={() => onCheckedChange(cat.categoryId)}
/>
<label className="form-check-label" for={"category" + cat.categoryId}>{cat.categoryName}</label>
</div>
))}
<div className="mt-1">
<button type="button" className="btn btn-outline-primary" onClick={()=>onPreview()} disabled={previewDisabled} >Preview Report</button>
</div>
</div>
</div>
<div id="viewer-host">
<Viewer theme="ActiveReports" ref={viewerRef} documentLoaded={()=>setPreviewDisabled(false)} reportLoaded={()=>setPreviewDisabled(true)} />
</div>
</Fragment>
);
}
FontStore.registerFonts("/activereportsjs/demos/resource/fontsConfig.json");
ReactDOM.render(<App />, document.getElementById("root"));
<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="utf-8" />
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<title>ActiveReportsJS Report Viewer Setting Parameters Values Sample</title>
<meta name="viewport" content="width=device-width, initial-scale=1.0" />
<link
href="https://fonts.googleapis.com/css2?family=Montserrat:ital,wght@0,300;0,400;0,500;0,600;0,700;1,400&display=swap"
rel="stylesheet"
/>
<link
rel="stylesheet"
href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css"
integrity="sha384-JcKb8q3iqJ61gNV9KGb8thSsNjpSL0n8PARn9HuZOnIxN0hoP+VmmDGMN5t9UJ0Z"
crossorigin="anonymous"
/>
<link
rel="stylesheet"
href="https://cdn.materialdesignicons.com/2.8.94/css/materialdesignicons.min.css"
/>
<link rel="stylesheet" href="index.css" />
<!-- SystemJS -->
<script src="./vendor/system.src.js"></script>
<script src="systemjs.config.js"></script>
<script>
System.import("./src/app");
</script>
</head>
<body style="margin: 0">
<div id="root"></div>
</body>
</html>
(function (global) {
System.config({
transpiler: "plugin-babel",
babelOptions: {
es2015: true,
react: true,
},
meta: {
"*.css": { loader: "css" },
},
paths: {
// paths serve as alias
"npm:": "node_modules/",
},
// map tells the System loader where to look for things
map: {
css: "npm:systemjs-plugin-css/css.js",
react: "npm:react/umd/react.production.min.js",
"react-dom": "npm:react-dom/umd/react-dom.production.min.js",
"@mescius/activereportsjs-react":
"npm:@mescius/activereportsjs-react/lib/index.js",
"@mescius/activereportsjs/reportviewer":
"npm:@mescius/activereportsjs/dist/ar-js-viewer.js",
"@mescius/activereportsjs/pdfexport":
"npm:@mescius/activereportsjs/dist/ar-js-pdf.js",
"@mescius/activereportsjs/tabulardataexport":
"npm:@mescius/activereportsjs/dist/ar-js-tabular-data.js",
"@mescius/activereportsjs/htmlexport":
"npm:@mescius/activereportsjs/dist/ar-js-html.js",
"@mescius/activereportsjs/xlsxexport":
"npm:@mescius/activereportsjs/dist/ar-js-xlsx.js",
"@mescius/activereportsjs/xlsxadvexport":
"npm:@mescius/activereportsjs/dist/ar-js-xlsxAdv.js",
"@mescius/activereportsjs/viewer":
"npm:@mescius/activereportsjs/dist/ar-js-viewer.js",
"@mescius/activereportsjs/reportdesigner":
"npm:@mescius/activereportsjs/dist/ar-js-designer.js",
"@mescius/activereportsjs/core":
"npm:@mescius/activereportsjs/dist/ar-js-core.js",
"@mescius/activereportsjs/styles": "npm:@mescius/activereportsjs/styles",
"@mescius/activereportsjs-i18n":
"npm:@mescius/activereportsjs-i18n/dist/ar-js-locales.js",
"@mescius/ar-js-pagereport":
"npm:@mescius/activereportsjs/dist/ar-js-core.js",
"plugin-babel": "npm:systemjs-plugin-babel/plugin-babel.js",
"systemjs-babel-build":
"npm:systemjs-plugin-babel/systemjs-babel-browser.js",
},
// packages tells the System loader how to load when no filename and/or no extension
packages: {
src: {
defaultExtension: "jsx",
},
node_modules: {
defaultExtension: "js",
},
},
});
})(this);

<template>
<div>
<div class="container-fluid">
<div class="form-group mb-3 mt-3">
<div>
<label>Select Product Categories</label>
</div>
<div
class="form-check form-check-inline"
v-for="category in categories"
:key="category.categoryId"
>
<input
class="form-check-input"
type="checkbox"
v-model="category.checked"
:id="'category' + category.categoryId"
/>
<label
class="form-check-label"
:for="'category' + category.categoryId"
>{{ category.categoryName }}</label
>
</div>
<div class="mt-1">
<button
type="button"
class="btn btn-outline-primary"
@click="onPreview"
:disabled="previewDisabled"
>
Preview Report
</button>
</div>
</div>
</div>
<div id="viewer-host">
<JSViewer theme="ActiveReports" ref="reportViewer"></JSViewer>
</div>
</div>
</template>
<script>
import { ref, computed, onMounted } from "vue";
import { Viewer } from "@mescius/activereportsjs-vue";
import "@mescius/activereportsjs/pdfexport";
import "@mescius/activereportsjs/htmlexport";
import "@mescius/activereportsjs/tabulardataexport";
import "@mescius/activereportsjs/xlsxexport";
import "@mescius/activereportsjs/xlsxadvexport";
import "@mescius/activereportsjs-i18n";
import Core from "@mescius/activereportsjs/core";
Core.FontStore.registerFonts("/activereportsjs/demos/resource/fontsConfig.json");
export default {
components: {
JSViewer: Viewer,
},
setup() {
const reportViewer = ref(null);
const previewDisabled = ref(false);
const categories = ref([
{
categoryId: 1,
categoryName: "Beverages",
checked: true,
},
{
categoryId: 2,
categoryName: "Condiments",
checked: false,
},
{
categoryId: 3,
categoryName: "Confections",
checked: false,
},
{
categoryId: 4,
categoryName: "Dairy Products",
checked: false,
},
{
categoryId: 5,
categoryName: "Grains/Cereals",
checked: false,
},
{
categoryId: 6,
categoryName: "Meat/Poultry",
checked: false,
},
{
categoryId: 7,
categoryName: "Produce",
checked: false,
},
{
categoryId: 8,
categoryName: "Seafood",
checked: false,
},
]);
const onPreview = () => {
reportViewer.value.Viewer().open("reports/multi-value-param.rdlx-json", {
ReportParams: [
{
Name: "CategoryId",
Value: categoryIds.value,
},
],
});
};
const categoryIds = computed(() =>
categories.value.filter((cat) => cat.checked).map((cat) => cat.categoryId)
);
onMounted(() => {
onPreview();
reportViewer.value.Viewer().documentLoaded.register(() => {
previewDisabled.value = false;
});
reportViewer.value.Viewer().reportLoaded.register(() => {
previewDisabled.value = true;
});
});
return {
reportViewer,
previewDisabled,
categories,
onPreview,
categoryIds,
};
},
};
</script>
<style>
@import url("/activereportsjs/demos/arjs/styles/ar-js-ui.css");
@import url("/activereportsjs/demos/arjs/styles/ar-js-designer.css");
@import url("/activereportsjs/demos/arjs/styles/ar-js-viewer.css");
#viewer-host {
width: 100%;
height: 500px;
}
</style>
<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="utf-8" />
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<title>ActiveReportsJS Report Viewer Setting Parameters Values Sample</title>
<meta name="viewport" content="width=device-width, initial-scale=1.0" />
<link
href="https://fonts.googleapis.com/css2?family=Montserrat:ital,wght@0,300;0,400;0,500;0,600;0,700;1,400&display=swap"
rel="stylesheet"
/>
<link
rel="stylesheet"
href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css"
integrity="sha384-JcKb8q3iqJ61gNV9KGb8thSsNjpSL0n8PARn9HuZOnIxN0hoP+VmmDGMN5t9UJ0Z"
crossorigin="anonymous"
/>
<link
rel="stylesheet"
href="https://cdn.materialdesignicons.com/2.8.94/css/materialdesignicons.min.css"
/>
<!-- SystemJS -->
<script src="node_modules/systemjs/dist/system.src.js"></script>
<script src="systemjs.config.js"></script>
<script src="./compiler.js" type="module"></script>
<script src="https://cdn.mescius.com/activereportsjs/6.latest/dist/ar-js-core.js"></script>
<script src="https://cdn.mescius.com/activereportsjs/6.latest/dist/ar-js-viewer.js"></script>
<script>
System.import("./app.js");
</script>
</head>
<body style="margin: 0">
<div id="app"></div>
</body>
</html>
(function (global) {
SystemJS.config({
transpiler: "systemjs-plugin-babel",
typescriptOptions: {
target: "es5",
module: "system",
},
baseURL: "./node_modules/",
packageConfigPaths: [
"./node_modules/*/package.json",
"./node_modules/@mescius/*/package.json",
"./node_modules/@babel/*/package.json",
"./node_modules/@vue/*/package.json",
],
map: {
vue: "./node_modules/vue/dist/vue.esm-browser.js",
"systemjs-babel-build": "systemjs-plugin-babel/systemjs-babel-browser.js",
"@mescius/activereportsjs/pdfexport":
"@mescius/activereportsjs/dist/ar-js-pdf.js",
"@mescius/activereportsjs/tabulardataexport":
"@mescius/activereportsjs/dist/ar-js-tabular-data.js",
"@mescius/activereportsjs/htmlexport":
"@mescius/activereportsjs/dist/ar-js-html.js",
"@mescius/activereportsjs/xlsxexport":
"@mescius/activereportsjs/dist/ar-js-xlsx.js",
"@mescius/activereportsjs/xlsxadvexport":
"@mescius/activereportsjs/dist/ar-js-xlsxAdv.js",
"@mescius/activereportsjs-vue":
"@mescius/activereportsjs-vue/lib/index.js",
"@mescius/activereportsjs/reportviewer":
"./reportviewer.js",
"@mescius/activereportsjs/viewer":
"./reportviewer.js",
"@mescius/activereportsjs/reportdesigner":
"@mescius/activereportsjs/dist/ar-js-designer.js",
"@mescius/activereportsjs/core":
"@mescius/activereportsjs/dist/ar-js-core.js",
"@mescius/activereportsjs/styles": "@mescius/activereportsjs/styles",
"@mescius/activereportsjs-i18n":
"@mescius/activereportsjs-i18n/dist/ar-js-locales.js",
"@mescius/ar-js-pagereport":
"@mescius/activereportsjs/dist/ar-js-core.js",
},
meta: {
"*.css": { loader: "systemjs-plugin-css" },
"./src/*.vue": { loader: "../plugin-vue/index.js" },
"*.vue": { loader: "./plugin-vue/index.js" },
},
packages: {
"vue-demi": {
defaultExtension: "mjs",
main: "lib/index.mjs",
},
},
});
})(this);

import { Component, ViewChild } from "@angular/core";
import {
ViewerComponent,
AR_EXPORTS,
PdfExportService,
HtmlExportService,
TabularDataExportService,
XlsxExportService,
XlsxAdvExportService,
} from "@mescius/activereportsjs-angular";
import "@mescius/activereportsjs-i18n";
@Component({
selector: "app-root",
templateUrl: "src/app.component.html",
styleUrls: ["src/app.component.css"],
providers: [
{
provide: AR_EXPORTS,
useClass: PdfExportService,
multi: true,
},
{
provide: AR_EXPORTS,
useClass: HtmlExportService,
multi: true,
},
{
provide: AR_EXPORTS,
useClass: TabularDataExportService,
multi: true,
},
{
provide: AR_EXPORTS,
useClass: XlsxExportService,
multi: true,
},
{
provide: AR_EXPORTS,
useClass: XlsxAdvExportService,
multi: true,
},
],
})
export class AppComponent {
@ViewChild(ViewerComponent, { static: false }) reportViewer: ViewerComponent;
categories = [
{
categoryId: 1,
categoryName: "Beverages",
checked: true,
},
{
categoryId: 2,
categoryName: "Condiments",
checked: false,
},
{
categoryId: 3,
categoryName: "Confections",
checked: false,
},
{
categoryId: 4,
categoryName: "Dairy Products",
checked: false,
},
{
categoryId: 5,
categoryName: "Grains/Cereals",
checked: false,
},
{
categoryId: 6,
categoryName: "Meat/Poultry",
checked: false,
},
{
categoryId: 7,
categoryName: "Produce",
checked: false,
},
{
categoryId: 8,
categoryName: "Seafood",
checked: false,
},
];
previewEnabled = true;
onDocumentLoaded() {
this.previewEnabled = true;
}
onReportLoaded() {
this.previewEnabled = false;
}
onCategoriesChange(category: any, target: any) {
category.checked = target.checked;
}
previewReport() {
const categoryIds = this.categories
.filter((c) => c.checked)
.map((c) => c.categoryId);
this.reportViewer.open("reports/multi-value-param.rdlx-json", {
ReportParams: [
{
Name: "CategoryId",
Value: categoryIds,
},
],
});
}
}
@import url("/activereportsjs/demos/arjs/styles/ar-js-ui.css");
@import url("/activereportsjs/demos/arjs/styles/ar-js-designer.css");
@import url("/activereportsjs/demos/arjs/styles/ar-js-viewer.css");
#viewer-host {
width: 100%;
height: 500px;
}
import { BrowserModule } from "@angular/platform-browser";
import { NgModule } from "@angular/core";
import { FormsModule } from "@angular/forms";
import { ReactiveFormsModule } from "@angular/forms";
import { AppComponent } from "./app.component";
import { ActiveReportsModule } from "@mescius/activereportsjs-angular";
@NgModule({
declarations: [AppComponent],
imports: [BrowserModule, ActiveReportsModule, FormsModule, ReactiveFormsModule],
providers: [],
bootstrap: [AppComponent],
})
export class AppModule {}
(function (global) {
SystemJS.config({
transpiler: './plugin-typescript.js',
typescriptOptions: {
"target": "ES2022",
"module": "system",
"emitDecoratorMetadata": true,
"experimentalDecorators": true,
},
baseURL: './node_modules/',
meta: {
'typescript': {
"exports": "ts"
},
'*.css': { loader: 'systemjs-plugin-css' }
},
packageConfigPaths: [
'/node_modules/*/package.json',
"/node_modules/@angular/*/package.json",
"/node_modules/@mescius/*/package.json"
],
map: {
'typescript': 'typescript/lib/typescript.js',
"rxjs": "rxjs/dist/bundles/rxjs.umd.js",
"rxjs/operators": "rxjs/dist/bundles/rxjs.umd.js",
"@angular/core/primitives/signals": "@angular/core/fesm2022/primitives/signals.mjs",
"@angular/common/http": "@angular/common/fesm2022/http.mjs",
"@mescius/activereportsjs/core":
"@mescius/activereportsjs/dist/ar-js-core.js",
"@mescius/activereportsjs": "./activereports.js",
"@mescius/activereportsjs/reportdesigner":"./activereports.js",
"@mescius/ar-js-pagereport":
"@mescius/activereportsjs/dist/ar-js-core.js",
"@mescius/activereportsjs-i18n":
"@mescius/activereportsjs-i18n/dist/ar-js-locales.js",
},
// packages tells the System loader how to load when no filename and/or no extension
packages: {
"./src": {
defaultExtension: 'ts'
},
"node_modules": {
defaultExtension: 'js'
},
"@angular/core": {
defaultExtension: 'mjs',
"main": "fesm2022/core.mjs"
},
"@angular/platform-browser": {
defaultExtension: 'mjs',
"main": "fesm2022/platform-browser.mjs"
},
"@angular/common": {
defaultExtension: 'mjs',
"main": "fesm2022/common.mjs"
},
"@angular/compiler": {
defaultExtension: 'mjs',
"main": "fesm2022/compiler.mjs"
},
"@angular/forms": {
defaultExtension: 'mjs',
"main": "fesm2022/forms.mjs"
},
"@angular/localize": {
defaultExtension: 'mjs',
"main": "fesm2022/localize.mjs"
},
"@angular/platform-browser-dynamic": {
defaultExtension: 'mjs',
"main": "fesm2022/platform-browser-dynamic.mjs"
},
"@mescius/activereportsjs-angular": {
defaultExtension: "mjs",
main: "fesm2022/grapecity-activereports-angular.mjs",
},
}
});
})(this);
<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="utf-8" />
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<title>
ActiveReportsJS Report Viewer Setting Parameters Values Sample
</title>
<meta name="viewport" content="width=device-width, initial-scale=1.0" />
<!-- Polyfills -->
<script src="node_modules/zone.js/fesm2015/zone.min.js"></script>
<!-- SystemJS -->
<script src="node_modules/systemjs/dist/system.src.js"></script>
<script src="systemjs.config.js"></script>
<link
href="https://fonts.googleapis.com/css2?family=Montserrat:ital,wght@0,300;0,400;0,500;0,600;0,700;1,400&display=swap"
rel="stylesheet"
/>
<link
rel="stylesheet"
href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css"
integrity="sha384-JcKb8q3iqJ61gNV9KGb8thSsNjpSL0n8PARn9HuZOnIxN0hoP+VmmDGMN5t9UJ0Z"
crossorigin="anonymous"
/>
<script>
System.import("./src/app.main");
</script>
</head>
<body style="margin: 0">
<app-root></app-root>
</body>
</html>